Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157622 - cciss module fails to unload during kickstart preinstallation script
Summary: cciss module fails to unload during kickstart preinstallation script
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
: 159377 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 07:41 UTC by Con Tassios
Modified: 2009-03-24 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 18:07:22 UTC


Attachments (Terms of Use)

Description Con Tassios 2005-05-13 07:41:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
In the %pre section of a kickstart script an rmmod cciss will hang, preventing the module from unloading.  This is part of a shell script that creates a RAID set configuration on HP Proliant SmartArray controllers.  The cciss module needs to be  unloaded and then reloaded in order to pick up the new configuration.

An lsmod shows the 'Used' column as being equal to the number of logical drives currently configured on the RAID controller.

The unloading of the cciss module does work on RHEL3, but not on RHEL4.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  rmmod cciss in %pre section of kickstart script
2.
3.
  

Actual Results:  cciss module fails to unload.  

Expected Results:  module should unload.

Additional info:

Comment 2 Con Tassios 2005-06-02 03:44:57 UTC
This appears to be a problem in anaconda and not the cciss module itself.

Comment 4 Jeremy Katz 2005-06-07 20:16:14 UTC
*** Bug 159377 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.